Subject: Re: [dispatch] [art] Status of Haptics I-D in DISPATCH? (fwd)

From: Claudio Allocchio <[email-masked]>
Date: Mon, 3 May 2021 22:22:50 +0200 (CEST)

>> Setting aside the implications (inadvertent or otherwise) of Claudio’s
>> comment that Apple or Google need to be on the authors list for IETF to even
>> consider an ID  (or work on it expeditiously),

you totally misread what I stated, sorry. I said that at least those companies 
who are implementing the "new stuff" should be involved into the discussion of 
the specificaions, oitherwise the specification will be just ignored or result 
inaccurate compared to reality. And Apple and Google are just 2 examples. The 
way you read my sentence it totaly against what IETF is how it works etc. When 
I (and Ned and John, and many of the people who made suggestions in tis thread) 
started in the IETF, Apple, Google, and 80% of current companies weer "just not 
yet stablished", so please do not misread examples. :-) Specifications are done 
and are successful when all people who need them work to write them, and when 
people who will implement them work on them, too.

apart frm this, +1 to Ned's last email.
> 
> I could even begin to count the number of times I've been told that this or 
> that
> is critical because of the actions of some other standards group, and for 
> that
> reason the IETF needs to engage post haste. IME a common result of such pleas 
> is
> to slow the work down, as people begin to argue about how the IETF should 
> handle
> its interactions with other standards bodies, rather than focusing on the
> technical issues at hand.

yes!

> 				Ned

------------------------------------------------------------------------------
Claudio Allocchio             G   A   R   R          [email-masked]
                         Senior Technical Officer
tel: +39 040 3758523      Italian Academic and       G=Claudio; S=Allocchio;
fax: +39 040 3758565        Research Network         P=garr; A=garr; C=it;

      PGP Key: https://www.cert.garr.it/servizi/informazioni-su-pgp-keys

---

From: John C Klensin <[email-masked]>
Date: Mon, 03 May 2021 22:32:35 -0400

--On Monday, May 3, 2021 22:22 +0200 Claudio Allocchio
<[email-masked]> wrote:

> 
>>> Setting aside the implications (inadvertent or otherwise) of
>>> Claudio's comment that Apple or Google need to be on the
>>> authors list for IETF to even consider an ID  (or work on it
>>> expeditiously),
> 
> you totally misread what I stated, sorry. I said that at least
> those companies who are implementing the "new stuff" should be
> involved into the discussion of the specificaions, oitherwise
> the specification will be just ignored or result inaccurate
> compared to reality. And Apple and Google are just 2 examples.

And that is, I think, a different way of looking at the concern
I expressed about a proposal that --at least as far as the IETF
is concerned-- comes from two people at a single company, a
company that isn't a major industry player at Apple or Google
(or ...) scale, at least yet.  That suggests another important
distinction: if the haptics work is an area in which companies
like that have no interest, it would be reasonable for the IETF
to charge ahead without them -- perhaps someone would spring up
who would turn into another dominant industry player.  But, if
companies like that are already involve and setting their own
directions and standards, the IETF ignoring what they are doing
and going off in a different direction is, to put it mildly, not
likely to be useful.

> The way you read my sentence it totaly against what IETF is
> how it works etc. When I (and Ned and John, and many of the
> people who made suggestions in tis thread) started in the
> IETF, Apple, Google, and 80% of current companies weer "just
> not yet stablished", so please do not misread examples. :-)
> Specifications are done and are successful when all people who
> need them work to write them, and when people who will
> implement them work on them, too.

Right.

>...
>> I could even begin to count the number of times I've been 
>> told that this or  that is critical because of the actions
>> of some other standards group, and for  that reason the
>> IETF needs to engage post haste. IME a common result of
>> such pleas  is to slow the work down, as people begin to
>> argue about how the IETF should  handle its interactions
>> with other standards bodies, rather than focusing on the

I think this suggests something else although it would be a
shame to have the Haptics proposal get blocked by it.  However..
Once upon a time, long ago, almost all of the important work on
the Internet (at least below the applications layer) was being
done by the IETF of its predecessors.  "We" believed that other
groups just didn't have the expertise and perspective (and were
probably not far off).  The world has changed, perhaps starting
with applications work being done elsewhere and either not
brought to the IETF at all or brought in when it is already
fairly mature.  And some of that work originates with other
bodies -- sometimes for good reasons like having the expertise
and sometimes for bad ones like people getting annoyed by how
the IETF does things and going forum-shopping for SDOs in which
to develop work.  So, while I agree with the comment above, I
also think that we may need to figure out how to get better at
working with other SDO when a particular subject requires the
expertise and perspective of both or when we have sufficiently
little of the required combination of expertise, broad IETF
community interest, and energy that we should delegate to
someone else and, perhaps, do a sanity check on the results.   I
hope I'm wrong, but my sense is that we are going in the wrong
direction in recent years.

  best
   john